log4cplus::spi::LayoutFactory Class Referenceabstract

This abstract class defines the "Factory" interface to create "Layout" objects. More...

`#include <factory.h>`

Inheritance diagram for log4cplus::spi::LayoutFactory:
[legend]
Collaboration diagram for log4cplus::spi::LayoutFactory:
[legend]

## Public Types

typedef Layout | ProductType
typedef std::unique_ptr< Layout > | ProductPtr

## Public Member Functions

| LayoutFactory ()
virtual | ~LayoutFactory ()=0
virtual std::unique_ptr< Layout > | createObject (const log4cplus::helpers::Properties &props)=0
| Create a "Layout" object.
Public Member Functions inherited from log4cplus::spi::BaseFactory
virtual | ~BaseFactory ()=0
virtual log4cplus::tstring const & | getTypeName () const =0
| Returns the typename of the objects this factory creates.

## Detailed Description

This abstract class defines the "Factory" interface to create "Layout" objects.

Definition at line 84 of file factory.h.

## Member Typedef Documentation

## ProductPtr

typedef std::unique_ptr<Layout> log4cplus::spi::LayoutFactory::ProductPtr

Definition at line 87 of file factory.h.

## ProductType

typedef Layout log4cplus::spi::LayoutFactory::ProductType

Definition at line 86 of file factory.h.

## Constructor & Destructor Documentation

## LayoutFactory()

log4cplus::spi::LayoutFactory::LayoutFactory | ( |  | ) |

## ~LayoutFactory()

virtual log4cplus::spi::LayoutFactory::~LayoutFactory | ( |  | ) |

pure virtual

## Member Function Documentation

## createObject()

virtual std::unique_ptr< Layout > log4cplus::spi::LayoutFactory::createObject | ( | const log4cplus::helpers::Properties & | props | ) |

pure virtual

Create a "Layout" object.

The documentation for this class was generated from the following file:

- factory.h